DELETE /discord/guilds/{guildId}/roles/{roleId}

Delete a role (from every member too). Cannot be undone

DELETE
/discord/guilds/{guildId}/roles/{roleId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

roleId*string

Role id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Response Body

Done

application/json
  1. response
success?boolean
Example Request
curl -X DELETE 'https://example.com/api/v1/discord/guilds/string/roles/string?accountId=string'
Example Response
{  "success": true}